Guard (Java Platform SE 8 )
Keywords: java.security.Guard interface
Date: 2026-07-22

compact1, compact2, compact3
java.security

## Interface Guard

- All Known Implementing Classes:
    AllPermission, AudioPermission, AuthPermission, AWTPermission, BasicPermission, DelegationPermission, FilePermission, JAXBPermission, LinkPermission, LoggingPermission, ManagementPermission, MBeanPermission, MBeanServerPermission, MBeanTrustPermission, NetPermission, Permission, PrivateCredentialPermission, PropertyPermission, ReflectPermission, RuntimePermission, SecurityPermission, SerializablePermission, ServicePermission, SocketPermission, SQLPermission, SSLPermission, SubjectDelegationPermission, UnresolvedPermission, URLPermission, WebServicePermission

      public interface Guard

  This interface represents a guard, which is an object that is used to protect access to another object.

  This interface contains a single method, `checkGuard`, with a single `object` argument. `checkGuard` is invoked (by the GuardedObject `getObject` method) to determine whether or not to allow access to the object.

  See Also:
    `GuardedObject`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkGuard(Object object)` Determines whether or not to allow access to the guarded object `object`.

- - ### Method Detail

    - #### checkGuard

          void checkGuard(Object object)
                   throws SecurityException

      Determines whether or not to allow access to the guarded object `object`. Returns silently if access is allowed. Otherwise, throws a SecurityException.
      Parameters:
        `object` - the object being protected by the guard.
      Throws:
        `SecurityException` - if access is denied.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.